﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Core;

namespace HeuristicLab.Analysis.FitnessLandscape {
  public static class IListExtensions {
    public static void Shuffle<T>(this IList<T> list, IRandom random) {
      int n = list.Count;
      while (n > 1) {
        n--;
        int k = random.Next(n + 1);
        T value = list[k];
        list[k] = list[n];
        list[n] = value;
      }
    }
  }
}
